/**
 * @file Text Helper
 * @author Patryk Gliszczynski
 * @version 1.0
 */

var Text = {
  getGenotypeMesh: function(genotype) {
    if (genotype.length > 20) {
      genotype = genotype.slice(0, 20) + "..."
    }
    var element = document.createElement("div");
    element.className = "genotype";
    element.textContent = genotype;
    return new THREE.CSS3DObject(element);
  },

  getFitnessMesh: function(fitness) {
    var element = document.createElement("div");
    element.className = "fitness";
    element.textContent = fitness;
    return new THREE.CSS3DObject(element);
  },

  getInfoMesh: function(info) {
    var element = document.createElement("div");
    element.className = "info";
    element.textContent = info;
    return new THREE.CSS3DObject(element);
  }
}
